Name:		katoob
Version:	0.5.8
Release:	%mkrel 1
Summary:	Light weight multilingual text editor that uses gtk2
URL:		http://www.arabeyes.org/project.php?proj=Katoob
License:	GPL
Group:		Editors

# http://belnet.dl.sourceforge.net/sourceforge/arabeyes/katoob-0.3.5.tar.gz
Source:		%name-%version.tar.bz2
Source10:	%name-icons.tar.bz2
# fwang: patch from debian to get it build in 64 bit environment
Patch1:		katoob-0.5.8-getprotobyname-return-cast.patch
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	gtk2-devel gtkmm2.4-devel
BuildRequires:  perl-XML-Parser
BuildRequires:	cups-devel bzip2-devel aspell-devel
BuildRequires:	desktop-file-utils

%description
Katoob is a light weight, multi lingual, BIDI-aware texteditor. It sup-
ports opening and saving files in multiple encodings. The main support
was for Arabic language but more languages are currently supported.

%prep
%setup -q
%setup -q -T -D -a10
%patch1 -p1

%build
%configure --enable-spell
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/katoob.desktop

#mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor="" \
	--dir %{buildroot}%{_datadir}/applications \
	--add-category="GTK" \
	%{buildroot}%{_datadir}/applications/*.desktop

#icons
install -D -m 644 %{name}48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{name}32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr( 0644, root, root, 755)
%doc README ChangeLog AUTHORS COPYING TODO THANKS NEWS
%{_datadir}/pixmaps/%{name}-icon.png
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/*
%{_mandir}/man1/%{name}.1.bz2
%lang(de) %{_mandir}/de/man1/*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%dir %{_datadir}/%{name}
%defattr( 0755, root, root, 755)
%{_bindir}/*


%changelog
* Sun Jun 24 2007 Funda Wang <fundawang@mandriva.org> 0.5.8-1mdv2008.0
+ Revision: 43652
- BR desktop-file-utils
- add patch from debian to fix build in x86-64
- Add more buildrequires
- BR gtkmm2.4-devel
- New version


* Fri Oct 13 2006 Lenny Cartier <lenny@mandriva.com> 0.5.3-1mdv2007.1
- 0.5.3
- xdg

* Wed May 17 2006 Lenny Cartier <lenny@mandriva.com> 0.3.9-1mdk
- 0.3.9

* Mon Nov 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.8-4mdk
- Fix BuildRequires

* Fri Oct 21 2005 Lenny Cartier <lenny@mandriva.com> 0.3.8-3mdk
- rebuild

* Wed Sep 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-2mdk
- enebale spellchecker

* Tue Aug 31 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-1mdk
- 0.3.8

